using System;
using System.Collections.ObjectModel;

namespace Decal.Adapter;

[AttributeUsage(AttributeTargets.Field)]
public sealed class ControlReferenceArrayAttribute : ViewBaseAttribute
{
	private Collection<string> myControls;

	public Collection<string> Controls => myControls;

	public ControlReferenceArrayAttribute(params string[] controls)
	{
		myControls = new Collection<string>(controls);
	}
}
